gstreamermm: Gst::QuerySeeking Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::QuerySeeking Class Reference

A seeking query object. More...

Inheritance diagram for Gst::QuerySeeking:
[legend]
Collaboration diagram for Gst::QuerySeeking:
[legend]

List of all members.

## Public Member Functions
| QuerySeeking (GstQuery* query)
void | set (Format format, bool seeakable, gint64 segment_start, gint64 segment_end)
| Set the seeking query result fields in query.
void | parse (Format& format, bool& seekable, gint64& segment_start, gint64& segment_end) const
| Parse a seeking query, writing the format into format, and other results into the passed parameters.
Format | parse_format () const
| Parse a seeking query, returning the format.
bool | parse_seekable () const
| Parse a seeking query, returning the seekable status.
gint64 | parse_start () const
| Parse a seeking query, returning the segment start value.
gint64 | parse_end () const
| Parse a seeking query, returning the segment end value.
## Static Public Member Functions
static Glib::RefPtr < Gst::QuerySeeking > | create (Format format)
| Constructs a new query object for querying seeking properties of the stream.

## Detailed Description

A seeking query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QuerySeeking::QuerySeeking | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::QuerySeeking> Gst::QuerySeeking::create | ( | Format | format | ) | `[static]`

Constructs a new query object for querying seeking properties of the stream.

Parameters:

  format | The default Gst::Format for the new query.

Returns:
  The new Gst::QuerySeeking.

void Gst::QuerySeeking::parse | ( | Format& | format,
|  | bool & | seekable,
|  | gint64 & | segment_start,
|  | gint64 & | segment_end
| ) |  | const

Parse a seeking query, writing the format into format, and other results into the passed parameters.

Use the other parse() methods for parsing individual values.

Parameters:

  format | The storage location for the foramt.
  seekable | The storage location for the seekable flag.
  segment_start | The storage location for the segment start value.
  segment_end | The storage location for the segment end.

gint64 Gst::QuerySeeking::parse_end | ( |  | ) | const

Parse a seeking query, returning the segment end value.

Returns:
  The segment end.

Format Gst::QuerySeeking::parse_format | ( |  | ) | const

Parse a seeking query, returning the format.

Returns:
  The format.

bool Gst::QuerySeeking::parse_seekable | ( |  | ) | const

Parse a seeking query, returning the seekable status.

Returns:
  The seekable flag.

gint64 Gst::QuerySeeking::parse_start | ( |  | ) | const

Parse a seeking query, returning the segment start value.

Returns:
  The segment start.

void Gst::QuerySeeking::set | ( | Format | format,
|  | bool | seeakable,
|  | gint64 | segment_start,
|  | gint64 | segment_end
| ) |  |

Set the seeking query result fields in query.

Parameters:

  format | The format to set for the segment_start and segment_end values.
  seekable | The seekable flag to set.
  segment_start | The segment_start to set.
  segment_end | The segment_end to set.

The documentation for this class was generated from the following file:

- gstreamermm/query.h